/* Copyright (c) 1990 by Kent Dalton
 *
 * Permission is granted to anyone to use this software for any purpose
 * on any computer system, and to redistribute it freely, with the
 * following restrictions:
 * 1) No charge may be made other than reasonable charges for reproduction.
 * 2) Modified versions must be clearly marked as such.
 * 3) The authors are not responsible for any harmful consequences
 *    of using this software, even if they result from defects in it.
 *
 */

/* subs_bsd.c this module replaces the assembly language subs_tos.s file */
/* for Sozobon C.                                                        */
#include <stdio.h>
#include <memory.h>
#include "param.h"
#include "nodes.h"

/* lclr - used to clear unions */
lclr(t, len)
NODE *t;
int len;
    {
	unsigned int i;
	unsigned int *ptr;

	ptr = (unsigned int *)t;
	for(i=0; i<len; i++,ptr++) *ptr = 0;
    }

/* lcpy - used to copy unions */
lcpy(x, y, len)
NODE *x,*y;
int len;
    {
	memcpy( (char *)x, (char *)y, sizeof(NODE));
    }




